Bug 957421 - [abrt] cinnamon-1.7.4-1.fc19: settings_changed: Process /usr/bin/cinnamon was killed by signal 6 (SIGABRT)
Summary: [abrt] cinnamon-1.7.4-1.fc19: settings_changed: Process /usr/bin/cinnamon was...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: muffin
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5ca90716bbcfcd6377314a4eb96...
: 974328 (view as bug list)
Depends On:
Blocks: F19-accepted, F19FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-04-28 05:02 UTC by D. Charles Pyle
Modified: 2013-06-16 06:12 UTC (History)
8 users (show)

Fixed In Version: muffin-1.8.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-16 06:12:54 UTC


Attachments (Terms of Use)
File: backtrace (45.78 KB, text/plain)
2013-04-28 05:02 UTC, D. Charles Pyle
no flags Details
File: cgroup (130 bytes, text/plain)
2013-04-28 05:02 UTC, D. Charles Pyle
no flags Details
File: core_backtrace (2.83 KB, text/plain)
2013-04-28 05:02 UTC, D. Charles Pyle
no flags Details
File: dso_list (19.46 KB, text/plain)
2013-04-28 05:02 UTC, D. Charles Pyle
no flags Details
File: environ (1.79 KB, text/plain)
2013-04-28 05:03 UTC, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-04-28 05:03 UTC, D. Charles Pyle
no flags Details
File: maps (85.40 KB, text/plain)
2013-04-28 05:03 UTC, D. Charles Pyle
no flags Details
File: open_fds (4.51 KB, text/plain)
2013-04-28 05:03 UTC, D. Charles Pyle
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2013-04-28 05:03 UTC, D. Charles Pyle
no flags Details
File: var_log_messages (8.83 KB, text/plain)
2013-04-28 05:03 UTC, D. Charles Pyle
no flags Details
File: xsession_errors (499 bytes, text/plain)
2013-04-28 05:03 UTC, D. Charles Pyle
no flags Details

Description D. Charles Pyle 2013-04-28 05:02:51 UTC
Description of problem:
This package is not in official repositories as of yet. I am only submitting this so that developers can get assistance with Cinnamon as they work to make it more compatible with GNOME 3.8 and above.  Cinnamon crashes the 3D drivers whenever any menu or panel item is clicked.  I was able to get this crash data by killing X and logging back into Cinnamon 2D.  I built this package using a Fedora spec file as Cinnamon 1.7.4-1 from GNOME compatibility sources in git.

Version-Release number of selected component:
cinnamon-1.7.4-1.fc19

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/cinnamon
crash_function: settings_changed
executable:     /usr/bin/cinnamon
kernel:         3.9.0-0.rc8.git0.2.fc19.x86_64
runlevel:       3 5
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 settings_changed at core/prefs.c:1080
 #4 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 g_settings_real_change_event at gsettings.c:288
 #9 ffi_call_unix64 at ../src/x86/unix64.S:76
 #10 ffi_call at ../src/x86/ffi64.c:522
 #11 g_cclosure_marshal_generic_va at gclosure.c:1550
 #12 _g_closure_invoke_va at gclosure.c:840
 #15 settings_backend_path_changed at gsettings.c:363
 #16 g_settings_backend_invoke_closure at gsettingsbackend.c:271

Comment 1 D. Charles Pyle 2013-04-28 05:02:54 UTC
Created attachment 741004 [details]
File: backtrace

Comment 2 D. Charles Pyle 2013-04-28 05:02:56 UTC
Created attachment 741005 [details]
File: cgroup

Comment 3 D. Charles Pyle 2013-04-28 05:02:58 UTC
Created attachment 741006 [details]
File: core_backtrace

Comment 4 D. Charles Pyle 2013-04-28 05:02:59 UTC
Created attachment 741007 [details]
File: dso_list

Comment 5 D. Charles Pyle 2013-04-28 05:03:01 UTC
Created attachment 741008 [details]
File: environ

Comment 6 D. Charles Pyle 2013-04-28 05:03:03 UTC
Created attachment 741009 [details]
File: limits

Comment 7 D. Charles Pyle 2013-04-28 05:03:05 UTC
Created attachment 741010 [details]
File: maps

Comment 8 D. Charles Pyle 2013-04-28 05:03:07 UTC
Created attachment 741011 [details]
File: open_fds

Comment 9 D. Charles Pyle 2013-04-28 05:03:08 UTC
Created attachment 741012 [details]
File: proc_pid_status

Comment 10 D. Charles Pyle 2013-04-28 05:03:10 UTC
Created attachment 741013 [details]
File: var_log_messages

Comment 11 D. Charles Pyle 2013-04-28 05:03:12 UTC
Created attachment 741014 [details]
File: xsession_errors

Comment 12 D. Charles Pyle 2013-05-23 02:07:41 UTC
I do not know what caused this.  I was trying to remove a non-working applet that seems to have a problem with dbus.

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: settings_changed
executable:     /usr/bin/cinnamon
kernel:         3.9.3-301.fc19.x86_64
package:        cinnamon-1.8.3-1.fc19
reason:         Process /usr/bin/cinnamon was killed by signal 6 (SIGABRT)
reported_to:    uReport: BTHASH=012efbc487daf20322908df0fa8c1ca817d5d640
runlevel:       N 5
uid:            1000

Comment 13 leigh scott 2013-05-23 06:36:53 UTC
Please don't file reports about non-released packages!!!!

Comment 14 leigh scott 2013-05-23 06:40:07 UTC
FYI I don't offer any support for the third party applets downloads.
Please file a report against the relevant applet instead.

Comment 15 D. Charles Pyle 2013-05-23 08:09:51 UTC
How can I prevent abrt from sending reports on this? Some of these abrt sent automatically and showed that reports were sent to ABRT Server and Bugzilla before I sent any relevant information.  I figured that since stuff was sent anyway I might as well forward on the rest.  Sorry about the trouble.

By the way, the applet that caused the crash is not a screen locker but supposed to inhibit the screensaver from working by clicking the icon.  I have had zero crashes from the screensaver itself.  All I did to get the screen locker to work is create a link to xscreensaver-command named cinnamon-screensaver-command.  I have removed the troublesome applet so this crash has since stopped.

I also am now back to using what is in the official repositories.

$ rpm -qa cinnamon
cinnamon-1.8.3-1.fc19.x86_64

Comment 16 Kai Engert (:kaie) (inactive account) 2013-05-29 10:11:18 UTC
I just experienced the same crash.

It happened when using f19, cinnamon-settings, and I attempted to add the standard brightness applet.

Cinnamon crashed repeatedly, each time when it attempted to restart.

Then I accepted to go into safe mode, without restarting. I used cinnamon-settings to remove the brightness applet. Then I manually restarted cinnamon. Then it works again.


Because this bug can be reproduced using standard F19 packages, I'm reopening the bug.

Comment 17 Kai Engert (:kaie) (inactive account) 2013-05-29 10:13:03 UTC
FYI, I'm reusing this bug report, because the automatic bug reporter in F19 identified this bug as a duplicate of mine.

Comment 18 leigh scott 2013-05-29 10:41:12 UTC
(In reply to Kai Engert (:kaie) from comment #16)

> Because this bug can be reproduced using standard F19 packages, I'm
> reopening the bug.


Sorry I wont fix this issue as maintaining compatibility with gnome-settings-daemon isn't on the roadmap.

https://github.com/linuxmint/Roadmap


I guess I could alway rm the brightness applet when building

Comment 19 Moez Roy 2013-05-30 01:28:44 UTC
(In reply to leigh scott from comment #18)

> I guess I could alway rm the brightness applet when building

Yes can you please remove the brightness applet.

Thanks.

Comment 21 Gwendal 2013-06-04 17:53:05 UTC
Unless the automatic bug reporter is wrong, I've just had this crash right after logging in. I don't have the brightness plugin installed.

Comment 22 Moez Roy 2013-06-06 20:33:07 UTC
Jun  1 21:08:13 localhost abrt[2348]: Saved core dump of pid 2090 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-01-21:08:06-2090 (326971392 bytes)
Jun  1 21:08:13 localhost gnome-session[1796]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  1 21:08:13 localhost /etc/gdm/Xsession[1796]: gnome-session[1796]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  1 21:09:08 localhost /etc/gdm/Xsession[1796]: (cinnamon:2358): St-CRITICAL **: st_label_set_text: assertion `text != NULL' failed
Jun  1 21:22:08 localhost /etc/gdm/Xsession[1796]: (cinnamon:2358): Clutter-CRITICAL **: clutter_actor_queue_relayout: assertion `CLUTTER_IS_ACTOR (self)' failed
Jun  1 21:24:30 localhost /etc/gdm/Xsession[1796]: (cinnamon:2358): Clutter-CRITICAL **: clutter_actor_queue_relayout: assertion `CLUTTER_IS_ACTOR (self)' failed
Jun  1 21:40:52 localhost /etc/gdm/Xsession[1796]: (cinnamon:2358): Clutter-CRITICAL **: clutter_actor_queue_relayout: assertion `CLUTTER_IS_ACTOR (self)' failed
Jun  1 21:45:45 localhost /etc/gdm/Xsession[1796]: JS ERROR: !!!     fileName = '"/usr/share/cinnamon/applets/power@cinnamon.org/applet.js"'
Jun  1 21:45:45 localhost /etc/gdm/Xsession[1796]: JS ERROR: !!!     stack = '"(null,[object GLib_Error])@/usr/share/cinnamon/applets/power@cinnamon.org/applet.js:269
Jun  1 21:45:45 localhost /etc/gdm/Xsession[1796]: JS ERROR: !!!     fileName = '"/usr/share/cinnamon/applets/power@cinnamon.org/applet.js"'
Jun  1 21:45:45 localhost /etc/gdm/Xsession[1796]: JS ERROR: !!!     stack = '"(null,[object GLib_Error])@/usr/share/cinnamon/applets/power@cinnamon.org/applet.js:315
Jun  1 22:48:23 localhost /etc/gdm/Xsession[2351]: (cinnamon:2644): St-CRITICAL **: st_label_set_text: assertion `text != NULL' failed
Jun  1 22:49:43 localhost /etc/gdm/Xsession[2351]: JS ERROR: !!!     fileName = '"/usr/share/cinnamon/applets/power@cinnamon.org/applet.js"'
Jun  1 22:49:43 localhost /etc/gdm/Xsession[2351]: JS ERROR: !!!     stack = '"(null,[object GLib_Error])@/usr/share/cinnamon/applets/power@cinnamon.org/applet.js:269
Jun  1 22:49:43 localhost /etc/gdm/Xsession[2351]: JS ERROR: !!!     fileName = '"/usr/share/cinnamon/applets/power@cinnamon.org/applet.js"'
Jun  1 22:49:43 localhost /etc/gdm/Xsession[2351]: JS ERROR: !!!     stack = '"(null,[object GLib_Error])@/usr/share/cinnamon/applets/power@cinnamon.org/applet.js:315
Jun  4 19:31:26 localhost yum[2463]: Updated: cinnamon-1.9.1-1.fc19.x86_64
Jun  4 19:39:29 localhost /etc/gdm/Xsession[1797]: (cinnamon:2088): St-CRITICAL **: st_label_set_text: assertion `text != NULL' failed
Jun  6 15:51:24 localhost abrt[2357]: Saved core dump of pid 2100 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-06-15:51:20-2100 (303386624 bytes)
Jun  6 15:51:24 localhost /etc/gdm/Xsession[1809]: gnome-session[1809]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  6 15:51:24 localhost gnome-session[1809]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  6 15:57:08 localhost /etc/gdm/Xsession[1809]: (cinnamon:2366): St-CRITICAL **: st_label_set_text: assertion `text != NULL' failed
Jun  6 16:09:43 localhost /etc/gdm/Xsession[1809]: (cinnamon:2366): Clutter-CRITICAL **: clutter_actor_queue_relayout: assertion `CLUTTER_IS_ACTOR (self)' failed
Jun  6 16:14:01 localhost abrt[2028]: Saved core dump of pid 1782 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-06-16:13:58-1782 (302694400 bytes)
Jun  6 16:14:01 localhost /etc/gdm/Xsession[1489]: gnome-session[1489]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  6 16:14:01 localhost gnome-session[1489]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  6 16:14:22 localhost /etc/gdm/Xsession[1489]: (cinnamon:2032): St-CRITICAL **: st_label_set_text: assertion `text != NULL' failed
Jun  6 16:28:05 localhost abrt[2039]: Saved core dump of pid 1785 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-06-16:28:02-1785 (293179392 bytes)
Jun  6 16:28:05 localhost /etc/gdm/Xsession[1494]: gnome-session[1494]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  6 16:28:05 localhost gnome-session[1494]: WARNING: Application 'cinnamon.desktop' killed by signal 15

=====================

It seems to be the power applet?

Comment 23 Leonid Podolny 2013-06-08 20:57:59 UTC
I'm hitting this bug every single time when I log out and then log in. Extremely frustrating.

Comment 24 D. Charles Pyle 2013-06-09 16:09:51 UTC
Same error here as in comment 23, but only on logging in and it does not seem to involve the power applet.

Current version installed on my system from updates-testing repository is cinnamon-1.9.1-7.fc19.x86_64.

Muffin is at muffin-1.8.2-1.fc19.x86_64.

Muffin, libobject, and libc seem to be involved in my case.  I don't see an issue with any applets in the core backtrace.

Following is the core backtrace from my most recent crash:

4a57d21f188b82f11955439003260ed97e34a67c 0x35819 raise /usr/lib64/libc-2.17.so f33186a4c862fb0751bca60701f553b829210477
4a57d21f188b82f11955439003260ed97e34a67c 0x36f28 abort /usr/lib64/libc-2.17.so 352bc5cf09233cea84fd089527a146cfb5b7d8dc
33a40c071dae844f7bf2ec8199ee340b5db30694 0x6bc66 g_assertion_message /lib64/libglib-2.0.so.0 7338298a780e0936201268ac1fcb6b0bd74b9131
4c9f3a5433900474db9b9b0a778d4152f9b76302 0x48851 settings_changed /usr/lib64/libmuffin.so.0.0.0 -
47791adee22cc220d6d6d50890d23121135a28ba 0x12599 g_cclosure_marshal_VOID__STRINGv /lib64/libgobject-2.0.so.0 02c439b20d709fe64922c2aca23d9c80e171fddf
47791adee22cc220d6d6d50890d23121135a28ba 0xfc57 _g_closure_invoke_va /lib64/libgobject-2.0.so.0 18bb14e4f5989b8fb8aac7b42c3d4ba84b0e7873
47791adee22cc220d6d6d50890d23121135a28ba 0x27d87 g_signal_emit_valist /lib64/libgobject-2.0.so.0 93f88355c5a484d824e9e01490cf91b63b02e3e6
47791adee22cc220d6d6d50890d23121135a28ba 0x28a72 g_signal_emit /lib64/libgobject-2.0.so.0 873467898f10716cc58dc3912c428c76ffeb8d49
d181e6bb4041b277f6d7b3e97f03cc71a7c849b4 0xa6aac g_settings_real_change_event /lib64/libgio-2.0.so.0 4606fa11286400406fe583e86a2e0b8780dc0dfb
98af07c114710f13a6ea4ee510bb8baf997abfd4 0x5cfc ffi_call_unix64 /lib64/libffi.so.6 c4b6fd4def7199ae37097ad873efefe087480f37
98af07c114710f13a6ea4ee510bb8baf997abfd4 0x562c ffi_call /lib64/libffi.so.6 c7b676db482fae39fc655262820259dba7db27de
47791adee22cc220d6d6d50890d23121135a28ba 0x106c5 g_cclosure_marshal_generic_va /lib64/libgobject-2.0.so.0 f9eb908b979b0fa0dd9c741df8a6b45785790dd5
47791adee22cc220d6d6d50890d23121135a28ba 0xfc57 _g_closure_invoke_va /lib64/libgobject-2.0.so.0 18bb14e4f5989b8fb8aac7b42c3d4ba84b0e7873
47791adee22cc220d6d6d50890d23121135a28ba 0x27d87 g_signal_emit_valist /lib64/libgobject-2.0.so.0 93f88355c5a484d824e9e01490cf91b63b02e3e6
47791adee22cc220d6d6d50890d23121135a28ba 0x28a72 g_signal_emit /lib64/libgobject-2.0.so.0 873467898f10716cc58dc3912c428c76ffeb8d49
d181e6bb4041b277f6d7b3e97f03cc71a7c849b4 0xa7138 settings_backend_path_changed /lib64/libgio-2.0.so.0 9ec995fb7fe2d87df64449aedfd8a85d355dc141
d181e6bb4041b277f6d7b3e97f03cc71a7c849b4 0xa30fa g_settings_backend_invoke_closure /lib64/libgio-2.0.so.0 0c79c83bb424e4a9fbe12cbe80cd299b53f20b40
33a40c071dae844f7bf2ec8199ee340b5db30694 0x47ea6 g_main_context_dispatch /lib64/libglib-2.0.so.0 2fff0a6ec0c961c69a004952576861bb422de32a
33a40c071dae844f7bf2ec8199ee340b5db30694 0x481f8 g_main_context_iterate.isra.22 /lib64/libglib-2.0.so.0 b70ea8c7bda12cea121d5b93f448e81d9f91812e
33a40c071dae844f7bf2ec8199ee340b5db30694 0x485fa g_main_loop_run /lib64/libglib-2.0.so.0 2c9330bb94917f923055e89c524942c2bf21d2ca
4c9f3a5433900474db9b9b0a778d4152f9b76302 0x462f7 meta_run /usr/lib64/libmuffin.so.0.0.0 c26ca5a8b2fcc2c8cc4ec605b0217444c4feb6c2
29324f4cbc4631c210e46311910de7ef27fa3db1 0x1ac8 main /usr/bin/cinnamon 3458f32b338323a463947d856276b1f46f3bb154

Following is what I found in var.log (looks like my error now may be caused by an improper interaction between the command "cinnamon --replace" and gnome-session in my case, the processes respawning too quickly):

Jun  5 00:38:20 Illuminatus-1 gnome-session[28932]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 00:57:00 Illuminatus-1 gnome-session[28932]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 00:57:00 Illuminatus-1 gnome-session[28932]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 00:59:06 Illuminatus-1 gnome-session[30103]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 01:01:50 Illuminatus-1 gnome-session[30103]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 01:01:50 Illuminatus-1 gnome-session[30103]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 01:02:36 Illuminatus-1 gnome-session[31088]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 01:08:25 Illuminatus-1 gnome-session[31088]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 01:08:25 Illuminatus-1 gnome-session[31088]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 01:11:19 Illuminatus-1 gnome-session[32243]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 01:12:08 Illuminatus-1 gnome-session[32243]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 01:12:08 Illuminatus-1 gnome-session[32243]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 01:16:21 Illuminatus-1 gnome-session[662]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 02:07:28 Illuminatus-1 gnome-session[662]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 02:07:28 Illuminatus-1 gnome-session[662]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 02:08:07 Illuminatus-1 gnome-session[2935]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 03:59:42 Illuminatus-1 gnome-session[2490]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 04:06:13 Illuminatus-1 gnome-session[2490]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 04:06:13 Illuminatus-1 gnome-session[2490]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 04:08:03 Illuminatus-1 gnome-session[4209]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 04:09:49 Illuminatus-1 gnome-session[4209]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 04:09:49 Illuminatus-1 gnome-session[4209]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 04:11:11 Illuminatus-1 gnome-session[6033]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 04:17:13 Illuminatus-1 gnome-session[6033]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 04:17:13 Illuminatus-1 gnome-session[6033]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 04:17:31 Illuminatus-1 abrt[7733]: Saved core dump of pid 7481 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-05-04:17:28-7481 (387239936 bytes)
Jun  5 04:17:32 Illuminatus-1 gnome-session[7218]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 04:45:15 Illuminatus-1 dbus-daemon[531]: dbus[531]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.190" (uid=1000 pid=4323 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=1563 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 04:45:15 Illuminatus-1 dbus[531]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.190" (uid=1000 pid=4323 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=1563 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 05:36:17 Illuminatus-1 dbus-daemon[531]: dbus[531]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.306" (uid=1000 pid=28725 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=1563 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 05:36:17 Illuminatus-1 dbus[531]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.306" (uid=1000 pid=28725 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=1563 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 06:16:44 Illuminatus-1 abrt[15610]: Saved core dump of pid 15368 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-05-06:16:40-15368 (383586304 bytes)
Jun  5 06:16:44 Illuminatus-1 gnome-session[15070]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 06:23:13 Illuminatus-1 kernel: [  294.695380] cinnamon[1956]: segfault at 0 ip 0000003e4c84cc12 sp 00007fff6d804c00 error 6 in libmozjs-17.0.so[3e4c800000+3a7000]
Jun  5 06:23:17 Illuminatus-1 abrt[2312]: Saved core dump of pid 1956 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-05-06:23:13-1956 (348409856 bytes)
Jun  5 06:23:17 Illuminatus-1 gnome-session[1643]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 06:25:59 Illuminatus-1 dbus-daemon[542]: dbus[542]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.75" (uid=1000 pid=2329 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.23" (uid=0 pid=1435 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 06:25:59 Illuminatus-1 dbus[542]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.75" (uid=1000 pid=2329 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.23" (uid=0 pid=1435 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 14:39:16 Illuminatus-1 yum[2369]: Installed: cinnamon-debuginfo-1.9.1-1.fc19.x86_64
Jun  5 14:39:20 Illuminatus-1 yum[2369]: Installed: cinnamon-1.9.1-1.fc19.x86_64
Jun  5 14:47:58 Illuminatus-1 dbus-daemon[535]: dbus[535]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.69" (uid=1000 pid=1965 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.22" (uid=0 pid=1418 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 14:47:58 Illuminatus-1 dbus[535]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.69" (uid=1000 pid=1965 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.22" (uid=0 pid=1418 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 15:14:54 Illuminatus-1 kernel: [  104.019297] pool[2173]: segfault at 0 ip           (null) sp 00007fff41879b40 error 14 in cinnamon[400000+3000]
Jun  5 15:14:57 Illuminatus-1 abrt[2174]: Saved core dump of pid 1942 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-05-15:14:54-1942 (335413248 bytes)
Jun  5 15:14:57 Illuminatus-1 gnome-session[1641]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 15:19:54 Illuminatus-1 gnome-session[3082]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 15:20:22 Illuminatus-1 gnome-session[3082]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 15:20:22 Illuminatus-1 gnome-session[3082]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 15:28:05 Illuminatus-1 gnome-session[4028]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 16:21:58 Illuminatus-1 dbus-daemon[535]: dbus[535]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.169" (uid=1000 pid=4759 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.23" (uid=0 pid=1419 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 16:21:58 Illuminatus-1 dbus[535]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.169" (uid=1000 pid=4759 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.23" (uid=0 pid=1419 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  5 21:23:33 Illuminatus-1 gnome-session[4028]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 21:23:33 Illuminatus-1 gnome-session[4028]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 21:23:57 Illuminatus-1 abrt[18882]: Saved core dump of pid 18646 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-05-21:23:54-18646 (372318208 bytes)
Jun  5 21:23:57 Illuminatus-1 gnome-session[18384]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  5 21:24:56 Illuminatus-1 gnome-session[18384]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  5 21:24:56 Illuminatus-1 gnome-session[18384]: Unrecoverable failure in required component cinnamon.desktop
Jun  5 21:25:14 Illuminatus-1 abrt[19675]: Saved core dump of pid 19432 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-05-21:25:10-19432 (363659264 bytes)
Jun  5 21:25:14 Illuminatus-1 gnome-session[19176]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  6 02:00:20 Illuminatus-1 gnome-session[19176]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  6 02:00:20 Illuminatus-1 gnome-session[19176]: Unrecoverable failure in required component cinnamon.desktop
Jun  6 02:00:40 Illuminatus-1 abrt[24526]: Saved core dump of pid 24270 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-06-02:00:37-24270 (355065856 bytes)
Jun  6 02:00:41 Illuminatus-1 gnome-session[24009]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  6 02:03:09 Illuminatus-1 gnome-session[24009]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  6 02:03:09 Illuminatus-1 gnome-session[24009]: Unrecoverable failure in required component cinnamon.desktop
Jun  6 02:05:14 Illuminatus-1 gnome-session[25071]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  6 04:26:10 Illuminatus-1 dbus-daemon[535]: dbus[535]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.902" (uid=1000 pid=24049 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.23" (uid=0 pid=1419 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  6 04:26:10 Illuminatus-1 dbus[535]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.902" (uid=1000 pid=24049 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.23" (uid=0 pid=1419 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  6 11:49:00 Illuminatus-1 dbus-daemon[535]: dbus[535]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.1404" (uid=1000 pid=2029 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.23" (uid=0 pid=1419 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  6 11:49:00 Illuminatus-1 dbus[535]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.1404" (uid=1000 pid=2029 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.23" (uid=0 pid=1419 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  6 17:01:58 Illuminatus-1 dbus-daemon[529]: dbus[529]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.76" (uid=1000 pid=21734 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.24" (uid=0 pid=1999 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  6 17:01:58 Illuminatus-1 dbus[529]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.76" (uid=1000 pid=21734 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.24" (uid=0 pid=1999 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 04:45:18 Illuminatus-1 dbus-daemon[541]: dbus[541]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.70" (uid=1000 pid=3503 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=2056 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 04:45:18 Illuminatus-1 dbus[541]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.70" (uid=1000 pid=3503 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=2056 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 04:48:30 Illuminatus-1 yum[6329]: Updated: cinnamon-debuginfo-1.9.1-7.fc19.x86_64
Jun  7 04:48:34 Illuminatus-1 yum[6329]: Updated: cinnamon-1.9.1-7.fc19.x86_64
Jun  7 04:52:38 Illuminatus-1 dbus-daemon[541]: dbus[541]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.114" (uid=1000 pid=6904 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=2056 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 04:52:38 Illuminatus-1 dbus[541]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.114" (uid=1000 pid=6904 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=2056 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 05:06:13 Illuminatus-1 dbus-daemon[531]: dbus[531]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.147" (uid=1000 pid=11315 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=2095 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 05:06:13 Illuminatus-1 dbus[531]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.147" (uid=1000 pid=11315 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.26" (uid=0 pid=2095 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 11:42:36 Illuminatus-1 yum[4374]: Installed: cinnamon-debuginfo-1.9.1-7.fc19.x86_64
Jun  7 11:42:41 Illuminatus-1 yum[4374]: Installed: cinnamon-1.9.1-7.fc19.x86_64
Jun  7 11:55:15 Illuminatus-1 dbus-daemon[513]: dbus[513]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.70" (uid=1000 pid=3006 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.25" (uid=0 pid=2098 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 11:55:15 Illuminatus-1 dbus[513]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.70" (uid=1000 pid=3006 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.25" (uid=0 pid=2098 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 12:01:46 Illuminatus-1 dbus-daemon[513]: dbus[513]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.138" (uid=1000 pid=11936 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.25" (uid=0 pid=2098 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 12:01:46 Illuminatus-1 dbus[513]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.138" (uid=1000 pid=11936 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.25" (uid=0 pid=2098 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 13:57:40 Illuminatus-1 dbus-daemon[513]: dbus[513]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.203" (uid=1000 pid=17782 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.25" (uid=0 pid=2098 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 13:57:40 Illuminatus-1 dbus[513]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.203" (uid=1000 pid=17782 comm="cinnamon --replace ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.25" (uid=0 pid=2098 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Jun  7 15:12:11 Illuminatus-1 abrt[24926]: Saved core dump of pid 17945 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-07-15:12:07-17945 (372535296 bytes)
Jun  7 15:12:11 Illuminatus-1 gnome-session[17156]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  7 15:12:15 Illuminatus-1 abrt[25001]: Not saving repeating crash in '/usr/bin/cinnamon'
Jun  7 15:12:15 Illuminatus-1 gnome-session[17156]: WARNING: App 'cinnamon.desktop' respawning too quickly
Jun  7 15:12:15 Illuminatus-1 gnome-session[17156]: Unrecoverable failure in required component cinnamon.desktop
Jun  7 15:14:04 Illuminatus-1 abrt[27526]: Saved core dump of pid 27307 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-07-15:14:01-27307 (365559808 bytes)
Jun  7 15:14:04 Illuminatus-1 gnome-session[26720]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  7 15:22:57 Illuminatus-1 abrt[2063]: Saved core dump of pid 1751 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-07-15:22:54-1751 (344047616 bytes)
Jun  7 15:22:57 Illuminatus-1 gnome-session[1163]: WARNING: Application 'cinnamon.desktop' killed by signal 15
Jun  7 17:22:59 Illuminatus-1 abrt[19684]: Saved core dump of pid 19169 (/usr/bin/cinnamon) to /var/tmp/abrt/ccpp-2013-06-07-17:22:56-19169 (343928832 bytes)
Jun  7 17:22:59 Illuminatus-1 gnome-session[18906]: WARNING: Application 'cinnamon.desktop' killed by signal 15

Comment 25 D. Charles Pyle 2013-06-10 06:37:46 UTC
Unfortunately, still happening on cinnamon-1.9.1-9.fc19.x86_64.

Comment 26 D. Charles Pyle 2013-06-10 08:54:07 UTC
Another note:  Whenever this error occurs and cinnamon crashes, it seems to take Nemo out with it every time.

Comment 27 leigh scott 2013-06-14 06:46:22 UTC
*** Bug 974328 has been marked as a duplicate of this bug. ***

Comment 28 leigh scott 2013-06-14 22:36:01 UTC
Reassigned to muffin

Comment 29 Fedora Update System 2013-06-14 22:39:32 UTC
muffin-1.8.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/muffin-1.8.2-2.fc19

Comment 30 Fedora Update System 2013-06-15 17:05:54 UTC
Package muffin-1.8.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing muffin-1.8.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10905/muffin-1.8.2-2.fc19
then log in and leave karma (feedback).

Comment 31 Fedora Update System 2013-06-16 06:12:54 UTC
muffin-1.8.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.